<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>PasswordEncoder.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.webconfig</a> &gt; <span class="el_source">PasswordEncoder.java</span></div><h1>PasswordEncoder.java</h1><pre class="source lang-java linenums">package com.example.demo.webconfig;

import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

<span class="nc" id="L5">public class PasswordEncoder {</span>

	public static void main(String[] args) {
<span class="nc" id="L8">		BCryptPasswordEncoder encoder = new BCryptPasswordEncoder();</span>
<span class="nc" id="L9">		String rawPassword = &quot;ravi2020&quot;;</span>
<span class="nc" id="L10">		String encodedPassword = encoder.encode(rawPassword);</span>
<span class="nc" id="L11">		System.out.println(encodedPassword);</span>
<span class="nc" id="L12">	}</span>

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>